var marked = require('marked');
var renderer = new marked.Renderer();
var toURL = require('./transformer-urlizetags.js').toURL;

renderer.image = function(href, title, text) {
  if(process.argv[3] !== "final") {
    if(!href.match("://")) {
      href = "https://ok1kvk.cz"+href;
    }
  }
  var out = '<img src="' + href + '" alt="' + text + '"';
  if (title) {
    out += ' title="' + title + '"';
  }
  out += this.options.xhtml ? '/>' : '>';
  return out;
};

renderer.heading = function(text, level, raw) {
  return '<h'
    + (level+2)
    + ' id="'
    + this.options.headerPrefix
    + toURL(raw)
    + '">'
    + text
    + '</h'
    + (level+2)
    + '>\n';
}

marked.setOptions({
  renderer: renderer,
  gfm: true,
  tables: true,
  breaks: false,
  pedantic: false,
  sanitize: false,
  smartLists: true,
  smartypants: false,
});

module.exports = function() {
  var tr = this;
  tr.fancyname = "transformer markdown";
  tr.forEachPage = function(article, cb) {
    article.origContent = article.content;
    article.content = marked(article.content);
    cb();
  }
}

